Page MenuHomePhabricator

Paws display 502 - Bad gateway error
Closed, ResolvedPublic

Description

When trying to access paws at: - http://paws.wmflabs.org/
I get redirected to :- http://paws.wmflabs.org/paws/user/OrenBochman
where I get a display 502 - Bad gateway error.

I tried again and had to login / restart my server/instance and then still got 502 bad gateway (which persists even after instance should have been full loaded)

Event Timeline

Restricted Application added a subscriber: Zppix. · View Herald TranscriptJul 17 2016, 6:02 PM
OrenBochman updated the task description. (Show Details)Jul 17 2016, 6:02 PM
OrenBochman updated the task description. (Show Details)Jul 18 2016, 9:45 AM

Can you try now?

@yuvipanda I've also been experiencing this issue for the past few days when I try to log in to PAWS.

@Capt_Swing are you still experiencing it?

Hi! I'm having this issue too. Last night works fine.

@Ivanhercaz try now?

This has been somewhat frustrating to track down since *my* account continues to work fine...

Hi ! Same, I've got a 504 now.

I've tryed to clear the cookies. All the connection part work fine (Sign in with mediawiki button...), but when i click on the big green button after OAUTH it don't work again.

Yes it work for me ! After click on the green button start the server the page take 15-20 seconds to come. Actually I am in the terminal and it work fine.

@yuvipanda Now it works! I had to clean cookies and logout via https://paws.wmflabs.org/paws/hub/logout Then I sign in again and now, it's everything perfect.

Thank you for your support! Keep in touch, Iván

Ivanhercaz added a comment.EditedJul 23 2016, 11:49 AM

@yuvipanda Since yesterday I tried to work in my bot but when I follow the instructions ―clean cookies, logout and sign in again―, it works a few minutes and then the "502 - Bad Gateway error" happens again and persist even if I follow again the instructions.
Solved.

Has this happened recently again?

Recently no. Only one time happens that my two terminals shutdown and I had to restart it and re-configure de user-config.py

yuvipanda closed this task as Resolved.Aug 4 2016, 7:10 PM

Ok, I suspect it was related to T141017, closing this for now then. Re-open if it happens again!